/*
 *  Copyright 2013 Embedded Artists AB
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

#ifndef TESTACC_H
#define TESTACC_H


/**
 * Test the MMA7455 accelerometer sensor on the 
 * LPC4088 Experiment Base Board
 */
class TestAcc {
public:

    /**
     * Test the accelerometer
     *
     * @return true if the test was successful; otherwise false
     */
	bool runTest();

    /**
     * Alternative test of the accelerometer
     *
     * @return true if the test was successful; otherwise false
     */
    bool alternativeTest();

private:

};

#endif

